// --------------------------------------------------------------------------------------------------------------------------------
//  _                        _       _            _     
// | |                      | |     | |          | |    
// | |_  ___ _ __ ___  _ __ | | __ _| |_  ___    | |__  
// | __|/ _ \ '_ ` _ \| '_ \| |/ _` | __|/ _ \   | '_ \ 
// | |_|  __/ | | | | | |_) | | (_| | |_|  __/ _ | | | |
//  \__|\___|_| |_| |_| .__/|_|\__,_|\__|\___|(_)|_| |_|
//                    | |                               
//                    |_|                               
// Automatic macro replacement of macros within files
//
// Best viewed with 8-character tabs and (at least) 132 columns
//
// ---------------------------------------------------------------------------------------------------------------------------------
//
// Restrictions & freedoms pertaining to usage and redistribution of this software:
//
//  * This software is 100% free
//  * If you use this software (in part or in whole) you must credit the author.
//  * This software may not be re-distributed (in part or in whole) in a modified
//    form without clear documentation on how to obtain a copy of the original work.
//  * You may not use this software to directly or indirectly cause harm to others.
//  * This software is provided as-is and without warrantee. Use at your own risk.
//
// For more information, visit HTTP://www.FluidStudios.com
//
// --------------------------------------------------------------------------------------------------------------------------------
// Originally created on 10/23/2000 by Paul Nettle (midnight@FluidStudios.com)
//
// Copyright 2000, Fluid Studios, Inc., all rights reserved.
// --------------------------------------------------------------------------------------------------------------------------------

#ifndef	_H_TEMPLATE
#define _H_TEMPLATE

// --------------------------------------------------------------------------------------------------------------------------------

class	Template : public Mapper
{
public:
	// Construction/Destruction
	
				Template(LCache &page, const int kerning);
virtual				~Template();

	// Implementation

virtual		void		addMacro(const string &macro, const string &expansion);
virtual		string		expandTemplateFile(const string &filename);
	
	// Accessors

private:
		LCache		&_lcache;
		int		_kerning;
};

#endif // _H_TEMPLATE
// --------------------------------------------------------------------------------------------------------------------------------
// template.h - End of file
// --------------------------------------------------------------------------------------------------------------------------------
